## Acknowledge + Retry Queue Messages `client.queues.messages.ack(stringqueueId, MessageAckParamsparams, RequestOptionsoptions?): MessageAckResponse` **post** `/accounts/{account_id}/queues/{queue_id}/messages/ack` Acknowledge + Retry messages from a Queue ### Parameters - `queueId: string` A Resource identifier. - `params: MessageAckParams` - `account_id: string` Path param: A Resource identifier. - `acks?: Array` Body param - `lease_id?: string` An ID that represents an "in-flight" message that has been pulled from a Queue. You must hold on to this ID and use it to acknowledge this message. - `retries?: Array` Body param - `delay_seconds?: number` The number of seconds to delay before making the message available for another attempt. - `lease_id?: string` An ID that represents an "in-flight" message that has been pulled from a Queue. You must hold on to this ID and use it to acknowledge this message. ### Returns - `MessageAckResponse` - `ackCount?: number` The number of messages that were succesfully acknowledged. - `retryCount?: number` The number of messages that were succesfully retried. - `warnings?: Array` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.queues.messages.ack('023e105f4ecef8ad9ca31a8372d0c353', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.ackCount); ``` #### Response ```json { "errors": [ { "code": 7003, "message": "No route for the URI", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ "string" ], "result": { "ackCount": 5, "retryCount": 5, "warnings": [ "string" ] }, "success": true } ```